@tailwind base;
@tailwind components;
@tailwind utilities;

html, body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
    
}
body {
  background: #191923;
  margin: 15px 0px 15px 0px;
  display: flex;
}
.portfolio-box {
  padding-left: 15px !important;
  position: fixed;
  height: 100vh;
  overflow: auto;
  background: #191923 !important;
}
.profile-info {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  height: 100vh;
  background: #191923;
  overflow: hidden;
  overflow-y: scroll;
}
.profile-info::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.profile-info {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}
.test{
  background: #20202a;
}
.sticky {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  background-color: #24242e;
  opacity: 0.95;
  padding: 20px 50px 50px 50px;
  font-size: 20px;
  /* overflow: hidden;
  overflow-y:auto; */
}
.art-avatar-curtain img {
  height: 50%;
  width: 50%;
  border-radius: 50%;
  z-index: 0;
}
.art-sm-text {
  color: grey;
}

/* languages skills circle */
.lang-progress {
  width: 50px;
}

.progress {
  background: rgba(0, 0, 0, 0.25); 
  box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.25), 0 1px rgba(255, 255, 255, 0.08);
}

.progress-bar {
  height: 3px;
  background-image: 
    linear-gradient(to bottom, rgba(255, 255, 255, 0.3), rgba(255, 255, 255, 0.05));
  transition: 0.4s linear;  
  transition-property: width, background-color;    
}

.progress-moved .progress-bar {
  width: 85%; 
  background-color: rgb(254, 193, 7);  
  animation: progressAnimation 3s;
}

@keyframes progressAnimation {
  0%   { width: 5%; background-color: #e5f175;}
  100% { width: 85%; background-color: #fec107; }
}
